package com.flyer.foster.controller;

import cn.dev33.satoken.annotation.SaCheckLogin;
import com.aliyuncs.DefaultAcsClient;
import com.aliyuncs.IAcsClient;
import com.aliyuncs.auth.sts.AssumeRoleRequest;
import com.aliyuncs.auth.sts.AssumeRoleResponse;
import com.aliyuncs.exceptions.ClientException;
import com.aliyuncs.profile.DefaultProfile;
import com.flyer.util.R;
import lombok.extern.slf4j.Slf4j;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * OSS上传
 *
 * @author kelei
 * @since 2024/5/9/15:06
 */
@Slf4j
@RestController
@RequestMapping("/admin/oss")
public class OSSController {
    private static String endpoint = "http://oss-cn-guangzhou.aliyuncs.com";
    private static String accessKeyId = "LTAI5t78gep5D1RCqvAEx8eJ";
    private static String accessKeySecret = "Mu3FX9xTXGtZzVvabNEaFdBI4wUz7w";
    private static String bucketName = "birdseye";
    private static String region = "cn-shenzhen";

    @PostMapping(value = "/credential")
    public R credential() {
        return R.ok().result(getCredentials());
    }

    private AssumeRoleResponse.Credentials getCredentials() {
        try {
            DefaultProfile profile = DefaultProfile.getProfile(region, accessKeyId, accessKeySecret);
            IAcsClient client = new DefaultAcsClient(profile);

            AssumeRoleRequest request = new AssumeRoleRequest();
            request.setDurationSeconds(3600l);
            request.setRoleArn("acs:ram::1359375599298722:role/ramosstest");
            request.setRoleSessionName("SessionTest");

            AssumeRoleResponse response = client.getAcsResponse(request);
            return response.getCredentials();

        } catch (ClientException e) {
            log.debug("Failed to obtain sts.");
            e.printStackTrace();
        }
        return null;
    }
}
