package com.flyer.foster.controller.app;

import com.flyer.foster.dto.app.AppPosterLibQueryDTO;
import com.flyer.foster.service.IPosterLibService;
import com.flyer.util.R;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * 小程序海报（小程序）
 *
 * @author kelei
 * @since 2024/5/15/9:32
 */
@RestController
@RequestMapping("/app/poster-lib")
public class AppPosterLibController {
    @Autowired
    private IPosterLibService iPosterLibService;

    /**
     * 获取最新海报（小程序）
     *
     * @return
     */
    @GetMapping("/latest")
    public R getLatestPoster(AppPosterLibQueryDTO queryDTO) {
        return R.ok().result(iPosterLibService.getLatestPoster(queryDTO));
    }
}
