package com.flyer.foster.enums;

import lombok.Getter;

/**
 * StatusEnum
 *
 * @author kelei
 * @since 2023/3/21/21:03
 */
@Getter
public enum StatusEnum {
    DISABLE(0, "不可用"),

    ENABLE(1, "可用");

    private final Integer id;

    private final String name;

    StatusEnum(Integer id, String name) {
        this.id = id;
        this.name = name;
    }

    /**
     * 根据id获取值
     *
     * @param id id
     * @return
     */
    public static String getStatusName(Integer id) {
        for (StatusEnum value : StatusEnum.values()) {
            if (value.getId().equals(id)) {
                return value.getName();
            }
        }
        return null;
    }
}
