package com.flyer.foster.mapper;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.flyer.foster.dto.CartoonQueryDTO;
import com.flyer.foster.dto.CartoonRespDTO;
import com.flyer.foster.entity.Cartoon;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 漫画 Mapper 接口
 * </p>
 *
 * @author flyer
 * @since 2024-05-25
 */
public interface ICartoonMapper extends BaseMapper<Cartoon> {

    IPage<CartoonRespDTO> getPageList(@Param("page") IPage<CartoonRespDTO> page, @Param("queryDTO") CartoonQueryDTO queryDTO);

    /**
     * 物理删除
     *
     * @param idList
     * @return
     */
    boolean deleteByIdList(@Param("idList") List<Integer> idList);
}
