package com.flyer.foster.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.flyer.foster.entity.CartoonUrl;

import java.util.List;

/**
 * <p>
 * 漫画图片 服务类
 * </p>
 *
 * @author flyer
 * @since 2024-05-25
 */
public interface ICartoonUrlService extends IService<CartoonUrl> {

    /**
     * 物理删除
     *
     * @param idList
     * @return
     */
    boolean deleteByCartoonIdList(List<Integer> idList);

    /**
     * 根据漫画id 查询图片url集合
     *
     * @param cartoonId
     * @return
     */
    List<String> getUrlList(Integer cartoonId);
}
