package com.flyer.foster.service.impl;

import cn.hutool.core.bean.BeanUtil;
import cn.hutool.core.util.StrUtil;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.flyer.foster.dto.WhisperQueryDTO;
import com.flyer.foster.dto.WhisperRespDTO;
import com.flyer.foster.entity.Whisper;
import com.flyer.foster.mapper.IWhisperMapper;
import com.flyer.foster.service.IWhisperService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;

import java.util.ArrayList;
import java.util.List;

/**
 * <p>
 * 悄悄话 服务实现类
 * </p>
 *
 * @author flyer
 * @since 2024-05-09
 */
@Service
public class WhisperServiceImpl extends ServiceImpl<IWhisperMapper, Whisper> implements IWhisperService {

    @Override
    public boolean deleteByIdList(List<Integer> idList) {
        return baseMapper.deleteByIdList(idList);
    }

    @Override
    public IPage<WhisperRespDTO> getPageList(IPage<Whisper> page, WhisperQueryDTO queryDTO) {
        IPage<WhisperRespDTO> pageResult = new Page<>(page.getCurrent(), page.getSize());

        IPage<Whisper> pageInfo = this.lambdaQuery()
                .like(StrUtil.isNotBlank(queryDTO.getContent()), Whisper::getContent, queryDTO.getContent())
                .ge(StrUtil.isNotBlank(queryDTO.getStartTime()), Whisper::getStartTime, queryDTO.getStartTime())
                .le(StrUtil.isNotBlank(queryDTO.getEndTime()), Whisper::getEndTime, queryDTO.getEndTime())
                .page(page);
        List<WhisperRespDTO> list = new ArrayList<>();
        WhisperRespDTO whisperRespDTO;
        for (Whisper posterLib : pageInfo.getRecords()) {
            whisperRespDTO = new WhisperRespDTO();
            BeanUtil.copyProperties(posterLib, whisperRespDTO);
            list.add(whisperRespDTO);
        }
        pageResult.setRecords(list);
        pageResult.setTotal(pageInfo.getTotal());
        return pageResult;
    }
}
